Bug 35811 - Update port: sysutils/tree (chase the new distfile)
Summary: Update port: sysutils/tree (chase the new distfile)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-03-12 06:20 UTC by Kimura Fuyuki
Modified: 2002-03-14 07:40 UTC (History)
0 users

See Also:


Attachments
file.diff (755 bytes, patch)
2002-03-12 06:20 UTC, Kimura Fuyuki
no flags Details | Diff
file.diff (328 bytes, patch)
2002-03-12 06:20 UTC, Kimura Fuyuki
no flags Details | Diff
file.diff (1.15 KB, patch)
2002-03-12 06:20 UTC, Kimura Fuyuki
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kimura Fuyuki 2002-03-12 06:20:01 UTC
Some fixes for the new distfile

(Sorry, I don't know what changes have taken place...)

Fix: cvs server: Diffing .
all:	tree

-@@ -28,18 +29,15 @@
- 	if [ -f tree.o ]; then rm *.o; fi
+@@ -28,12 +29,11 @@
+ 	if [ -e tree.o ]; then rm *.o; fi
  	rm -f *~

 -install:
--	install -d $(BINDIR)
--	install -d $(MANDIR)
+-	install -d $(BINDIR) $(MANDIR)
 -	if [ -e $(TREE_DEST) ]; then \
 -		install -s $(TREE_DEST) $(BINDIR)/$(TREE_DEST); \
 -	fi
@@ -42,9 +41,4 @@
 +	${BSD_INSTALL_MAN} $(MAN) $(MANDIR)

  distclean:
- 	if [ -f tree.o ]; then rm *.o; fi
- 	rm -f *~
--
-
- dist:	distclean
- 	tar zcf ../tree-$(VERSION).tgz -C .. tree-$(VERSION)/
+ 	if [ -e tree.o ]; then rm *.o; fi
Comment 1 Alan Eldridge 2002-03-12 06:23:21 UTC
On Tue, Mar 12, 2002 at 03:13:19PM +0900, Kimura Fuyuki wrote:
>
>>Number:         35811
>>Category:       ports
>>Synopsis:       Update port: sysutils/tree (chase the new distfile)

Note from maintainer (ports@geeksrus.net):
Thanks. I'll look at it in a day or two. I am really swamped right. Sorry. 


-- 
Alan Eldridge
"Dave's not here, man."
Comment 2 Alan Eldridge 2002-03-14 05:02:00 UTC
On Tue, Mar 12, 2002 at 03:13:19PM +0900, Kimura Fuyuki wrote:
>
>>Number:         35811
>>Category:       ports
>>Synopsis:       Update port: sysutils/tree (chase the new distfile)

Note from maintainer:

Please update with the following patch, instead of the one above.

--8<----8<----8<----8<----8<----8<----8<----8<----8<----8<--
Index: sysutils/tree/Makefile
===================================================================
RCS file: /home/alane/cvsroot/ports/sysutils/tree/Makefile,v
retrieving revision 1.1
diff -u -3 -r1.1 Makefile
--- sysutils/tree/Makefile	24 Dec 2001 21:50:53 -0000	1.1
+++ sysutils/tree/Makefile	14 Mar 2002 04:45:10 -0000
@@ -7,6 +7,7 @@
 
 PORTNAME=	tree
 PORTVERSION=	1.3
+PORTREVISION=	1
 CATEGORIES=	sysutils
 MASTER_SITES=	ftp://mama.indstate.edu/linux/tree/
 EXTRACT_SUFX=	.tgz
@@ -14,5 +15,7 @@
 MAINTAINER=	ports@geeksrus.net
 
 MAN1=		tree.1
+
+MAKE_ARGS=	PREFIX=${PREFIX}
 
 .include <bsd.port.mk>
Index: sysutils/tree/distinfo
===================================================================
RCS file: /home/alane/cvsroot/ports/sysutils/tree/distinfo,v
retrieving revision 1.1
diff -u -3 -r1.1 distinfo
--- sysutils/tree/distinfo	24 Dec 2001 21:50:53 -0000	1.1
+++ sysutils/tree/distinfo	14 Mar 2002 04:40:00 -0000
@@ -1 +1 @@
-MD5 (tree-1.3.tgz) = cd595dc2eb53760ce32d978fd52fe93c
+MD5 (tree-1.3.tgz) = 610dff913f65c1d4743f1a7e1adc0ae4
Index: sysutils/tree/files/patch-Makefile
===================================================================
RCS file: /home/alane/cvsroot/ports/sysutils/tree/files/patch-Makefile,v
retrieving revision 1.1
diff -u -3 -r1.1 patch-Makefile
--- sysutils/tree/files/patch-Makefile	24 Dec 2001 21:50:53 -0000	1.1
+++ sysutils/tree/files/patch-Makefile	14 Mar 2002 04:43:15 -0000
@@ -1,8 +1,6 @@
-$FreeBSD$
-
---- Makefile.orig	Mon Dec 11 14:43:23 2000
-+++ Makefile	Mon Dec 24 08:17:21 2001
-@@ -6,15 +6,16 @@
+--- Makefile.orig	Mon Feb 15 11:54:06 1999
++++ Makefile	Wed Mar 13 23:41:36 2002
+@@ -6,15 +6,15 @@
  # warranties, including, without limitation, the implied warranties
  # of merchant-ability and fitness for a particular purpose.
  
@@ -12,7 +10,6 @@
 +CC?=		gcc
 +CFLAGS?=	-O2 -Wall
 +LDFLAGS?=
-+PREFIX?=	/usr/local
 +BINDIR=		${PREFIX}/bin
 +MANDIR=		${PREFIX}/man/man1
  
@@ -24,13 +21,12 @@
  
  all:	tree
  
-@@ -28,18 +29,15 @@
- 	if [ -f tree.o ]; then rm *.o; fi
+@@ -28,17 +28,15 @@
+ 	if [ -e tree.o ]; then rm *.o; fi
  	rm -f *~
  
 -install:
--	install -d $(BINDIR)
--	install -d $(MANDIR)
+-	install -d $(BINDIR) $(MANDIR)
 -	if [ -e $(TREE_DEST) ]; then \
 -		install -s $(TREE_DEST) $(BINDIR)/$(TREE_DEST); \
 -	fi
@@ -42,7 +38,7 @@
 +	${BSD_INSTALL_MAN} $(MAN) $(MANDIR)
  
  distclean:
- 	if [ -f tree.o ]; then rm *.o; fi
+ 	if [ -e tree.o ]; then rm *.o; fi
  	rm -f *~
 -	
  
Index: sysutils/tree/files/patch-tree.c
===================================================================
RCS file: /home/alane/cvsroot/ports/sysutils/tree/files/patch-tree.c,v
retrieving revision 1.1
diff -u -3 -r1.1 patch-tree.c
--- sysutils/tree/files/patch-tree.c	24 Dec 2001 21:50:53 -0000	1.1
+++ sysutils/tree/files/patch-tree.c	14 Mar 2002 04:37:13 -0000
@@ -2,12 +2,12 @@
 
 --- tree.c.orig	Mon Jan 29 22:38:30 2001
 +++ tree.c	Mon Dec 24 08:09:39 2001
-@@ -422,7 +422,7 @@
-       if (!noindent) indent();
- 
-       if (inodeflag || devflag || pflag || sflag || uflag || gflag || Dflag) fprintf(outfile,"[");
--      if (inodeflag) fprintf(outfile,"%7ld",(*dir)->inode);
-+      if (inodeflag) fprintf(outfile,"%7ld",(long)(*dir)->inode);
-       if (inodeflag && (devflag || pflag || uflag || gflag || sflag || Dflag)) fprintf(outfile,"%s",sp);
-       if (devflag) fprintf(outfile,"%3d",(*dir)->dev);
-       if (devflag && (pflag || uflag || gflag || sflag || Dflag)) fprintf(outfile,"%s",sp);
+@@ -417,7 +417,7 @@
+       if (uflag && (gflag || sflag || Dflag)) fprintf(outfile,"%s",sp);
+       if (gflag) fprintf(outfile,"%-8.8s",gidtoname((*dir)->gid));
+       if (gflag && (sflag || Dflag)) fprintf(outfile,"%s",sp);
+-      if (sflag) fprintf(outfile,"%9ld",(*dir)->size);
++      if (sflag) fprintf(outfile,"%9ld",(long)(*dir)->size);
+       if (sflag && Dflag) fprintf(outfile,"%s",sp);
+       if (Dflag) fprintf(outfile,"%s",do_date((*dir)->mtime));
+       if (pflag || sflag || uflag || gflag || Dflag) fprintf(outfile,"]%s%s",sp,sp);
--8<----8<----8<----8<----8<----8<----8<----8<----8<----8<--

Thanks.

-- 
Alan Eldridge
"Dave's not here, man."
Comment 3 Patrick Li freebsd_committer 2002-03-14 07:39:57 UTC
State Changed
From-To: open->closed

Committed, Thanks!